> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-seo-descriptions-1774225017.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Available Futures Markets List

> Retrieve a list of all available futures markets and their trading parameters.



## OpenAPI

````yaml /openapi/public/http-v4.yaml GET /api/v4/public/futures
openapi: 3.0.3
info:
  title: Public HTTP API V4
  description: >
    WhiteBIT Public HTTP API V4 for market data and trading information.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.

    All endpoints return either a JSON object or array.

    Use HTTP method GET for API calls.

    Send parameters as query string when an endpoint requires them.


    <Warning>

    Rate limit: 2000 requests/10 sec for most endpoints (specific limits noted
    per endpoint).

    </Warning>
  version: 4.0.0
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Public API V4
    description: Public endpoints for market data, trading information, and platform status
paths:
  /api/v4/public/futures:
    get:
      tags:
        - Public API V4
      summary: Available Futures Markets List
      description: |
        The endpoint returns the list of available futures markets.

        <Note>
        The API caches the response for 1 second
        </Note>

        <Warning>
        Rate limit 2000 requests/10 sec.
        </Warning>
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    nullable: true
                    example: null
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/FuturesMarket'
              example:
                success: true
                message: null
                result:
                  - ticker_id: BTC_PERP
                    stock_currency: BTC
                    money_currency: USDT
                    last_price: '24005.5'
                    stock_volume: '196965.591'
                    money_volume: '4737879075.7817'
                    bid: '24005.4'
                    ask: '24005.6'
                    high: '24295.1'
                    low: '23765.3'
                    product_type: Perpetual
                    open_interest: '6000'
                    index_price: '24019.25'
                    index_name: Bitcoin
                    index_currency: BTC
                    funding_rate: '0.000044889033693137'
                    next_funding_rate_timestamp: '1660665600000'
                    brackets:
                      '1': 0
                      '2': 0
                      '3': 0
                      '5': 0
                      '10': 0
                      '20': 0
                      '50': 20
                      '100': 50
                    max_leverage: 100
                    funding_interval_minutes: 300
components:
  schemas:
    FuturesMarket:
      type: object
      properties:
        ticker_id:
          type: string
          description: Identifier of a ticker with delimiter to separate base/target
          example: BTC_PERP
        stock_currency:
          type: string
          description: Symbol/currency code of base pair
          example: BTC
        money_currency:
          type: string
          description: Symbol/currency code of target pair
          example: USDT
        last_price:
          type: string
          description: >-
            Last transacted price of base currency based on given target
            currency
          example: '24005.5'
        stock_volume:
          type: string
          description: 24 hour trading volume in base pair volume
          example: '196965.591'
        money_volume:
          type: string
          description: 24 hour trading volume in target pair volume
          example: '4737879075.7817'
        bid:
          type: string
          description: Current highest bid price
          example: '24005.4'
        ask:
          type: string
          description: Current lowest ask price
          example: '24005.6'
        high:
          type: string
          description: Rolling 24-hours highest transaction price
          example: '24295.1'
        low:
          type: string
          description: Rolling 24-hours lowest transaction price
          example: '23765.3'
        product_type:
          type: string
          description: What product is this? Futures, Perpetual, Options?
          example: Perpetual
        open_interest:
          type: string
          description: The open interest in the last 24 hours in contracts
          example: '6000'
        index_price:
          type: string
          description: Underlying index price
          example: '24019.25'
        index_name:
          type: string
          description: Name of the underlying index if any
          example: Bitcoin
        index_currency:
          type: string
          description: Underlying currency for index
          example: BTC
        funding_rate:
          type: string
          description: >-
            The current funding rate, which may fluctuate due to market
            conditions
          example: '0.000044889033693137'
        next_funding_rate_timestamp:
          type: string
          description: Timestamp of the next funding rate change
          example: '1660665600000'
        brackets:
          type: object
          description: Brackets
          additionalProperties:
            type: integer
          example:
            '1': 0
            '2': 0
            '3': 0
            '5': 0
            '10': 0
            '20': 0
            '50': 20
            '100': 50
        max_leverage:
          type: integer
          description: Max Leverage
          example: 100
        funding_interval_minutes:
          type: integer
          description: Funding interval in minutes
          example: 300

````